Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.models.info

# Interface Contact

All Superinterfaces:
  `Constructible`, `Extensible<Contact>`

public interface Contact extends Constructible, Extensible<Contact>
This interface represents the Contact information for the exposed API.

See Also:
  - OpenAPI Specification Contact Object

## Method Summary

Modifier and Type
Method
Description
`default Contact`
`email(String email)`
Sets this Contact instance's contact email to the given email and returns this instance of Contact
`String`
`getEmail()`
Returns the contact email of this Contact instance.
`String`
`getName()`
Returns the identifying name of this Contact instance.
`String`
`getUrl()`
Returns the URL pointing to the contact information for this Contact instance.
`default Contact`
`name(String name)`
Sets this Contact instance's identifying name to the given name and returns this instance of Contact.
`void`
`setEmail(String email)`
Sets the contact email of this instance of Contact.
`void`
`setName(String name)`
Sets the identifying name of this Contact instance.
`void`
`setUrl(String url)`
Sets this Contact instance's URL pointing to the contact information.
`default Contact`
`url(String url)`
Sets this Contact instance's URL pointing to the contact information and returns this instance of Contact.

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

## Method Details

### getName

String getName()
Returns the identifying name of this Contact instance.

Returns:
  the name of the contact person/organization

### setName

void setName(String name)
Sets the identifying name of this Contact instance.

Parameters:
  `name` - the name of the contact person/organization

### name

default Contact name(String name)
Sets this Contact instance's identifying name to the given name and returns this instance of Contact.

Parameters:
  `name` - the name of the contact person/organization
Returns:
  this Contact instance

### getUrl

String getUrl()
Returns the URL pointing to the contact information for this Contact instance.

Returns:
  the URL pointing to the contact information

### setUrl

void setUrl(String url)
Sets this Contact instance's URL pointing to the contact information. The URL must be in the format of a URL.

Parameters:
  `url` - the URL pointing to the contact information

### url

default Contact url(String url)
Sets this Contact instance's URL pointing to the contact information and returns this instance of Contact. The URL must be in the format of a URL.

Parameters:
  `url` - the url pointing to the contact information
Returns:
  this Contact instance

### getEmail

String getEmail()
Returns the contact email of this Contact instance.

Returns:
  the email of the contact person/organization

### setEmail

void setEmail(String email)
Sets the contact email of this instance of Contact.

Parameters:
  `email` - the email of the contact person/organization

### email

default Contact email(String email)
Sets this Contact instance's contact email to the given email and returns this instance of Contact

Parameters:
  `email` - the email of the contact person/organization
Returns:
  this Contact instance